import java.util.*;

import gov.nih.nlm.nls.lvg.Lib.*;
import gov.nih.nlm.nls.lvg.Flows.*;
import gov.nih.nlm.nls.lvg.Api.*;

public class AntiNorm
{
	// test driver
	public static void main(String[] args)
	{
		// instantiate a LvgApi object by config file
		String lvgConfigFile
			= "/export/home/lu/Projects/LVG/lvg2012/data/config/lvg.properties";
		LvgApi lvgApi = new LvgApi(lvgConfigFile);

		// Process the inflectional variants mutation
		LexItem in = new LexItem("Cancers, Lung, NOS"); // use lexItem as input

		try
		{
			Vector<LexItem> outs = ToAntiNorm.Mutate(in, lvgApi.GetMaxTerm(), 
				lvgApi.GetStopWords(), lvgApi.GetConnection(),
				lvgApi.GetInflectionTrie(), lvgApi.GetSymbolMap(),
				lvgApi.GetUnicodeMap(), lvgApi.GetLigatureMap(),
				lvgApi.GetDiacriticMap(), lvgApi.GetNonStripMap(),
				lvgApi.GetRemoveSTree(), false, true);

			// PrintOut the Result
			for(LexItem out: outs)
			{
				System.out.println(out.ToString());
			}

			// clean up
			lvgApi.CleanUp();
		}
		catch(Exception e)
		{
			System.err.println("** ERR: " + e.toString());
		}
	}
}
